Make wider the range of Streaml::RelativeSeek from int32 to int64
03.11.2015 15:18 - lvan Herrero

Status: Closed Start date: 03.11.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.11 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Current prototype:

/**

* @brief Moves within the stream to a position that is relative to the
current location.

.1

@warning (1) The deltaPos is a signed integer, so it will always have a

* ok —

half addressable space with respect to its unsigned counterpart, i.e.
* the Seek () method.
* @warning (2) Moreover, the deltaPos is a 32 bits integer, less than the
* 64 bits integer used in Seek (), so it will have a shorter addressable
* space, anyway.
=/
virtual bool RelativeSeek (const int32 deltaPos) = 0;

Desired prototype:

/**
* @brief Moves within the stream to a position that is relative to the

* current location.

[..]

* @warning The deltaPos is a signed integer, so it will always have a
* half addressable space with respect to its unsigned counterpart, i.e.
* the Seek () method.

=2

virtual bool RelativeSeek (const int64 deltaPos) = 0;

Update of descendants:

All the following classes implement the Streaml interface, so they must be updated accordingly, too.

MARTe::BasicFile
MARTe::DoubleBufferedStream

* DummyDoubleBufferedStream
MARTe::SingleBufferedStream

* DummySingleBufferedStream
MARTe::StreamMemoryReference
MARTe::StreamString

Hint: Use the "Open type hierarchy" feature of Eclipse to show all the descendants of Streaml.

Source code files modified

e Source/Core/BareMetal/L1Portability/BasicConsole.h
¢ Source/Core/BareMetal/L1Portability/Environment/Linux/BasicConsole.cpp
¢ Source/Core/BareMetal/L1Portability/Environment/Windows/BasicConsole.cpp
e Source/Core/BareMetal/L1Portability/Streaml.h
Source/Core/BareMetal/L3Streams/BufferedStreamGenerator.h
Source/Core/BareMetal/L3Streams/DoubleBufferedStream.cpp
Source/Core/BareMetal/L3Streams/DoubleBufferedStream.h
Source/Core/BareMetal/L3Streams/OperatingSystemCallbacksl.h
Source/Core/BareMetal/L3Streams/SingleBufferedStream.cpp
Source/Core/BareMetal/L3Streams/SingleBufferedStream.h
Source/Core/BareMetal/L3Streams/StreamMemoryReference.cpp
Source/Core/BareMetal/L3Streams/StreamMemoryReference.h
Source/Core/BareMetal/L3Streams/StreamString.cpp
Source/Core/BareMetal/L3Streams/StreamString.h
Source/Core/FileSystem/L1Portability/BasicFile.h
Source/Core/FileSystem/L1Portability/BasicTCPSocket.h
Source/Core/FileSystem/L1Portability/BasicUDPSocket.h
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicFile.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicUDPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicFile.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicUDPSocket.cpp
Test/Core/BareMetal/L3Streams/SingleBufferedStreamTest.cpp
Test/Core/BareMetal/L3Streams/SingleBufferedStreamTest.h
Test/Core/BareMetal/L3Streams/StreamMemoryReferenceTest.cpp
Test/Core/BareMetal/L3Streams/StreamMemoryReferenceTest.h
Test/Core/BareMetal/L3Streams/StreamStringTest.cpp
Test/Core/BareMetal/L3Streams/StreamStringTest.h
Test/Core/BareMetal/L3Streams/StreamTestHelper.h
Test/GTest/BareMetal/L3Streams/SingleBufferedStreamGTest.cpp
Test/GTest/BareMetal/L3Streams/StreamMemoryReferenceGTest.cpp
Test/GTest/BareMetal/L3Streams/StreamStringGTest.cpp

Architecture & design review
Date of the review: 03/11/2015
Person who did the review: Ivan Herrero

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 26/01/2016
Person who did the review: lvan Herrero
Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 26/01/2016

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS
List of non-conformities: N/A

Note: The function BasicConsole::Position() was not being tested, because BasicConsoleTest::TestPosition() was testing
BasicConsole::Size() instead. It has been fixed.

Associated revisions

Revision 11d0baa2 - 21.01.2016 13:07 - Giuseppe Ferro

#264

-Made wider the range of RelativeSeek to int64.
-Updated documentation and tests

-Checked lint and coverage.

Revision a49a10a0 - 26.01.2016 17:51 - lvan Herrero
#264 - Fix coverage error for BasicConsoleTest:: TestPosition()
+ The function BasicConsole::Position() was not being tested, because

BasicConsoleTest::TestPosition() was testing BasicConsole::Size()
instead. Now it tests BasicConsole::Position().

Revision 50661871 - 26.01.2016 17:53 - Ivan Herrero

#264 - Fix minor spelling and spacing errors.

History

#1 - 18.01.2016 10:59 - André Neto
- Status changed from New to Code: Impl

- Target version changed from Backlog to 0.11

#2 - 21.01.2016 10:33 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#3 - 21.01.2016 13:07 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#4 - 21.01.2016 13:10 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

code implementation done: 11d0ba
created from #296_GTest_Folder_Structure

#5 - 26.01.2016 14:46 - lvan Herrero

- Assignee set to Ivan Herrero

#6 - 26.01.2016 15:34 - lvan Herrero

Giuseppe Ferro wrote:

code implementation done: 11d0ba
created from #296_GTest_Folder_Structure

The new branch created for this US is named #264_Seek_Size.

#7 - 26.01.2016 17:57 - lvan Herrero

- Description updated

Code/Documentation and unit test review passed on branch #264_Seek_Size.

#8 - 27.01.2016 16:42 - lvan Herrero
- Status changed from Code: Rev to Closed

- Assignee deleted (lvan Herrero)
Merged on develop branch.

#9 - 08.02.2016 10:48 - Ivan Herrero

- Description updated
